<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/teclado.php');

?>
<h2>Trazabilidad de tabaco</h2>
<?php

if($_POST['lectura']) {

	$peticion='TPDTTrazabilidad#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#INFOID#'.$_POST['lectura'];
	
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

	if($_GET['traza']=='si') {
		echo "<p>".$peticion."</p>";
		print_r($resultado);
	}
	
	$valores=explode('#',$resultado[0]['Error']);
	
	if($valores[0]=='1') {
		?>
		<script>
		alert('Error: <?php echo $valores[1]; ?>',null,'error')
        .done(function(){
			$('#lectura').focus();
        });
        </script>
		<?php
	}
	else if($valores[0]=='0') {
	
		$datos=$resultado[0];
	
		?>
        <h3>Información asociada a este Identificador:</h3>
        
        <table class="tablaFormateada desplazamientoSuperior">
        <tr>
            <th>Entrada</th>
            <th>Fecha</th>
            <th>Régimen</th>
            <th>Procedencia</th>
        </tr>
        <tr>
            <td><?php echo $datos['Entrada']; ?></td>
            <td><?php echo fechaNacional($datos['FechaEntrada']); ?></td>
            <td><?php echo $datos['Regimen']; ?></td>
            <td><?php echo $datos['Procedencia']; ?></td>
          </tr>
        </table>
        
        <br />
        
        <table class="tablaFormateada">
		<tr>
			<?php if(count($datos)>1) { ?><th>Emp.</th><?php } ?>
			<th>Código</th>
			<th>Descripción</th>
			<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
				<?php if($comportamiento['Activo']=='S' && $datos['Control'.$comportamiento['NombreSQL']]=='S' ) { ?>
                <th><?php echo $comportamiento['Nombre']; ?></th>
				<?php } ?>
			<?php } ?>
            <th>Formato</th>
            <th>Cant.</th>
		 </tr>
		 <tr>
			<?php if(count($datos)>1) { ?><td><?php echo $datos['Empresa']; ?></td><?php } ?>
			<td><?php echo $datos['Codigo']; ?></td>
			<td align="left"><?php echo $datos['DescripcionProducto']; ?></td>
            <?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
            	<?php if($comportamiento['Activo']=='S' && $datos['Control'.$comportamiento['NombreSQL']]=='S' ) { ?>
                <td><?php
				if($comportamiento['NombreSQL']=='Regimen') echo $datos['Regimen'];
					if($datos[$comportamiento['NombreSQL']]) echo formateaTipo($datos[$comportamiento['NombreSQL']],$comportamiento['Tipo']);
				?>
				</td>
            	<?php } ?>
			<?php } ?>
			<td>
            <?php
				$arrayTemp=unserialize(FORMATOS_TRAZABILIDAD);
				$arrayTemp[$datos['Formato']];
			?>
            </td>
            <td align="right"><?php echo number_format($datos['Cantidad'],0,',','.'); ?></td>
		</tr>
		</table>
		<?php
		
	}
	else {
	
		?>
		<script>
		alert('Error: Identificador no encontrado.',null,'error')
        .done(function(){
			$('#lectura').focus();
        });
        </script>
		<?php
	
	}

}

?>
        
<form id="formulario" name="formulario" method="post" action="">
    
	<h3>Lectura de Id.</h3>
    
    <div id="bloqueContenedor" style="width:850px;margin:20px auto">
        <div id="bloqueLectura" class="campoOrdenPreparacionBloque">
            <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoLectura" /><input name="lectura" type="text" class="campo campoOrdenPreparacion" id="lectura" style="width:850px;left:5px;font-size:1.2em"/>
            <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarLectura" class="campoOrdenPreparacionBorrar" contador="1" style="right:-520px"/>
        </div>
    </div>

</form>

<script>

function reiniciaLectura() {
	
	lectura=new Array();
	cadenaLectura='';
	$("#lectura").val('');
	$("#lectura").focus();
}

$(document).ready(function() {

	$('#lectura').on('change',function(){
				
		$('#popupCargando').show();
		$('#formulario').submit();
				
	});
	
	$('#lectura').focus();

});

</script>

<?php

include('trazabilidad-tabaco-scripts.php');

include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');

?>
